<?
IncludeModuleLangFile(__FILE__);
//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
global $DB;
$db_type = strtolower($DB->type);
CModule::AddAutoloadClasses(
	"smsaero.sms",
	array(
		"Response" =>$_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/lib/response.php",
		"SMSCRURubric" => "classes/general/rubric.php",
		"SMSCRUSubscription" => "classes/".$db_type."/subscription.php",
		"SMSCRUPosting" => "classes/".$db_type."/posting.php",
		"SMSCRUPostingTemplate" => "classes/general/template.php",
		"SMSCRUMailTools" => "classes/general/posting.php"
	)
);

require_once dirname(__FILE__).'/classes/general/SMSC_Send.php';

class CSMSC
{
	function OnBeforeUserRegisterHandler(&$arFields)
	{
		$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
		if(strlen($userField)>0 && $userField !='OFF') $arFields[$userField] = $arFields['PASSWORD'];
	}
	function OnBeforeUserSimpleRegisterHandler(&$arFields)
	{
		$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
		if(strlen($userField)>0 && $userField !='OFF') $arFields[$userField] = $arFields['PASSWORD'];
	}
	function OnBeforeUserUpdateHandler(&$arFields)
	{
		$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
		if(strlen($userField)>0 && $userField !='OFF' && isset($arFields['PASSWORD']) && strlen($arFields['PASSWORD']) >0 ) $arFields[$userField] = $arFields['PASSWORD'];
	}
	function OnBeforeUserAddHandler(&$arFields)
	{
		$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
		if(strlen($userField)>0 && $userField !='OFF' && isset($arFields['PASSWORD']) && strlen($arFields['PASSWORD']) >0 ) $arFields[$userField] = $arFields['PASSWORD'];
	}
	function getOwnerEmail($order)
	{
		//пробежимся по св-вам заказа, ища e-mail
		$res = CSaleOrderPropsValue::GetOrderProps($order);
		while ($row = $res->fetch()) {
			if ($row['IS_EMAIL']=='Y' && check_email($row['VALUE'])) {
				return $row;
			}
		}
		//если такого не нашли, берем просто mail пользователя
		if ($order = CSaleOrder::getById($order)) {
			if ($user = CUser::GetByID($order['USER_ID'])->fetch()) {
				return $user;
			}
		}
		return false;
	}
	function getOwnerPhone($order)
	{
		//пробежимся по св-вам заказа, ища телефон
		$res = CSaleOrderPropsValue::GetOrderProps($order);
		while ($row = $res->fetch()) {
			if ($row['CODE']=='PHONE') {
				return $row['VALUE'];
			}
		}
		//если такого не нашли, берем просто телефон пользователя
		if ($order = CSaleOrder::getById($order)) {
			if ($user = CUser::GetByID($order['USER_ID'])->fetch()) {
				return $user;
			}
		}
		return false;
	}
	function Events(&$event, &$lid, &$arFields, &$message_id)
	{

		$user['PERSONAL_PHONE'] = CSMSC::getOwnerPhone($arFields['ORDER_ID']);

		$dbOrderProps = CSaleOrderPropsValue::GetList(
			array("SORT" => "ASC"),
			array(
				"ORDER_ID" => $arFields['ORDER_ID'],
				"CODE" => array("PHONE")
			)
		);
		if ($arOrderProps = $dbOrderProps->Fetch())
		{
			if (isset($user['PERSONAL_PHONE']) or $user['PERSONAL_PHONE'] == ""  or $user['PERSONAL_PHONE'] == False){
				$user['PERSONAL_PHONE'] = $arOrderProps['VALUE'];
			}
		}

		// обращение в техподдержку
		if ($event=="TICKET_NEW_FOR_AUTHOR") {
			$code = COption::GetOptionString('smsaero.sms', 'phone_support');
			$sender = COption::GetOptionString('smsaero.sms', 'sign_main_phone_support');

			if(strlen(trim($code))>0 ) {


				$phone = $code;

				$arReplacesTemlate = array(
						'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
						'#ORDER_NUMBER#' 	=> $arFields['ID'],
						'#USER_EMAIL#'	=> $arFields['CREATED_USER_EMAIL'],
						'#DATE_INSERT#'	=> $arFields['DATE_CREATE'],
						'#TITLE#'	=> $arFields['TITLE'],
						'#PHONE#'	=> $arFields['OWNER_SID'],
						'#MESSAGE_BODY#'	=> $arFields['MESSAGE_BODY'],
						'#CRITICALITY#'	=> ($arFields['CRITICALITY'])?$arFields['CRITICALITY']:'',
						'#PROP_FIO#'	=> $arFields['CREATED_USER_NAME'],
				);


				$message = COption::GetOptionString('smsaero.sms', 'new_support_text');



				$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
				if(strlen($userField)>0 && $userField !='OFF') {
					$rsUser = CUser::GetByID($arFields['USER_ID']);
					$arUser = $rsUser->Fetch();
					$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
					$arUserF = array();
					foreach($arUser as $id => $value) {
						$arUserF['#'.$id.'#'] = $value;
					}
					$message = str_replace(array_keys($arUserF),$arUserF,$message);

				}


				$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
				$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);


				$sms = new SMSC_Send;

				if (COption::GetOptionString('smsaero.sms', 'on_pay_order_support')=='Y')
				$sms->Send_SMS($phone,$message,0,false,0,$sender);

			}
		}
		//напоминание об оплате
		if ($event=="SALE_ORDER_REMIND_PAYMENT") {

			$code = COption::GetOptionString('smsaero.sms', 'phone_SALE_ORDER_REMIND_PAYMENT');

			$add_phone = COption::GetOptionString('smsaero.sms', 'phone_SALE_ORDER_REMIND_PAYMENT_ADD');

			$sender = COption::GetOptionString('smsaero.sms', 'sign_main_REMIND_PAYMENT');

			$sender1 = COption::GetOptionString('smsaero.sms', 'sign_main_add_REMIND_PAYMENT_ADD');
			if(strlen(trim($code))>0 or strlen(trim($add_phone))>0) {

				$db_props = CSaleOrderProps::GetList();
				$arReplaces = array();
				while($arProps = $db_props->Fetch()) {if(!in_array($arProps['CODE'],$arReplaces) && strlen($arProps['CODE'])>0) $arReplaces['#PROP_'.$arProps['CODE'].'#'] = $arProps['CODE'];}
				$arFilter = array("ORDER_ID" 	=> $arFields['ID']);

				$db_order = CSaleOrderPropsValue::GetList(array(),$arFilter);
				$phone = $code;
				while($arOrder = $db_order->Fetch()) {

					if(in_array($arOrder['CODE'],$arReplaces)) $arReplaces['#PROP_'.$arOrder['CODE'].'#'] = $arOrder['VALUE'];
				}

				$obStatus = CSaleStatus::GetList(array(),array('ID'=>$arFields['STATUS_ID'],'LID'=>LANGUAGE_ID));
				$status = '';
				if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];

				$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);

				$items = '';

				$dbBasketItems = CSaleBasket::GetList(
						array("NAME" => "ASC"),
						array("ORDER_ID" => $arFields['ORDER_ID']),
						false,
						false,
						array("NAME", "QUANTITY", "PRICE")
				);

				while ($arBasketItems = $dbBasketItems->Fetch())
					$items .= $arBasketItems['NAME'].' '.GetMessage('SMSC_NEW_ORDER_KOL').': '.(int)$arBasketItems['QUANTITY'].' '.GetMessage('SMSC_NEW_ORDER_PRICE').': '.round($arBasketItems['PRICE'], 2).' ';

				$arReplacesTemlate = array(
						'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
						'#ORDER_NUMBER#' 	=> $arFields['ORDER_ID'],
						'#ORDER_SUMM#'		=> round($arFields['PRICE']-$arFields['DELIVERY_PRICE'], 2),
						'#PRICE_DELIVERY#'	=> round($arFields['DELIVERY_PRICE'], 2),
						'#PRICE#'		=> $arFields['PRICE'],
						'#DELIVERY_DOC_NUM#'	=> $arFields['DELIVERY_DOC_NUM'],
						'#DELIVERY_DOC_DATE#'	=> $arFields['DELIVERY_DOC_DATE'],
						'#USER_EMAIL#'	=> $arFields['EMAIL'],
						'#DATE_INSERT#'	=> $arFields['ORDER_DATE'],
						'#STATUS_NAME#'		=> $status,
						'#DELIVERY_NAME#'	=> ($delivery)?$delivery['NAME']:'',
						'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
						'#ITEMS#' => $arFields['ORDER_LIST']
				);

				$add_phone = COption::GetOptionString('smsaero.sms', 'phone_SALE_ORDER_REMIND_PAYMENT_ADD');
				$message = COption::GetOptionString('smsaero.sms', 'order_SALE_ORDER_REMIND_PAYMENT');
				$message2 = COption::GetOptionString('smsaero.sms', 'order_SALE_ORDER_REMIND_PAYMENT_ADD');


				$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
				if(strlen($userField)>0 && $userField !='OFF') {
					$rsUser = CUser::GetByID($arFields['USER_ID']);
					$arUser = $rsUser->Fetch();
					$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
					$arUserF = array();
					foreach($arUser as $id => $value) {
						$arUserF['#'.$id.'#'] = $value;
					}
					$message = str_replace(array_keys($arUserF),$arUserF,$message);
					$message2 = str_replace(array_keys($arUserF),$arUserF,$message2);
				}


				$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
				$phone = str_replace(array_keys($arReplaces),$arReplaces,$phone);

				$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
				$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
				$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
				$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);

				$sms = new SMSC_Send;
				if (COption::GetOptionString('smsaero.sms', 'on_pay_order_remind_input_active')=='Y')
				$sms->Send_SMS($phone,$message,0,false,0,$sender);

				if (COption::GetOptionString('smsaero.sms', 'on_pay_order_input_ORDER_REMIND_PAYMENT_ADD')=='Y')
				$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);

			}
		}
		//новый заказ
		if ($event=="SALE_NEW_ORDER") {

			$code = COption::GetOptionString('smsaero.sms', 'property_phone_new_order');

			$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_new');



			$sender = COption::GetOptionString('smsaero.sms', 'sign_main_new_order');

			$sender1 = COption::GetOptionString('smsaero.sms', 'sign_main_add_phone_new');
			if(strlen(trim($code))>0 or strlen(trim($add_phone))>0) {

				$db_props = CSaleOrderProps::GetList();
				$arReplaces = array();
				while($arProps = $db_props->Fetch()) {if(!in_array($arProps['CODE'],$arReplaces) && strlen($arProps['CODE'])>0) $arReplaces['#PROP_'.$arProps['CODE'].'#'] = $arProps['CODE'];}
				$arFilter = array("ORDER_ID" 	=> $arFields['ID']);

				$db_order = CSaleOrderPropsValue::GetList(array(),$arFilter);
				$phone = $code;
				while($arOrder = $db_order->Fetch()) {

					if(in_array($arOrder['CODE'],$arReplaces)) $arReplaces['#PROP_'.$arOrder['CODE'].'#'] = $arOrder['VALUE'];
				}

				$obStatus = CSaleStatus::GetList(array(),array('ID'=>$arFields['STATUS_ID'],'LID'=>LANGUAGE_ID));
				$status = '';
				if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];

				$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);

				$items = '';

				$dbBasketItems = CSaleBasket::GetList(
						array("NAME" => "ASC"),
						array("ORDER_ID" => $arFields['ORDER_ID']),
						false,
						false,
						array("NAME", "QUANTITY", "PRICE")
				);

				while ($arBasketItems = $dbBasketItems->Fetch())
					$items .= $arBasketItems['NAME'].' '.GetMessage('SMSC_NEW_ORDER_KOL').': '.(int)$arBasketItems['QUANTITY'].' '.GetMessage('SMSC_NEW_ORDER_PRICE').': '.round($arBasketItems['PRICE'], 2).' ';


				$arReplacesTemlate = array(
						'#ORDER_NUMBER#' 	=> $arFields['ORDER_ID'],
						'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
						'#ORDER_SUMM#'		=> round($arFields['PRICE']-$arFields['DELIVERY_PRICE'], 2),
						'#PRICE_DELIVERY#'	=> round($arFields['DELIVERY_PRICE'], 2),
						'#PRICE#'		=> $arFields['PRICE'],
						'#DELIVERY_DOC_NUM#'	=> $arFields['DELIVERY_DOC_NUM'],
						'#DELIVERY_DOC_DATE#'	=> $arFields['DELIVERY_DOC_DATE'],
						'#USER_EMAIL#'	=> $arFields['EMAIL'],
						'#DATE_INSERT#'	=> $arFields['ORDER_DATE'],
						'#STATUS_NAME#'		=> $status,
						'#DELIVERY_NAME#'	=> ($delivery)?$delivery['NAME']:'',
						'#ITEMS#' => $arFields['ORDER_LIST'],
						'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name')
				);

				$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_new');
				$message = COption::GetOptionString('smsaero.sms', 'new_order_ss');
				$message2 = COption::GetOptionString('smsaero.sms', 'new_order_2');


				$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
				if(strlen($userField)>0 && $userField !='OFF') {
					$rsUser = CUser::GetByID($arFields['USER_ID']);
					$arUser = $rsUser->Fetch();
					$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
					$arUserF = array();
					foreach($arUser as $id => $value) {
						$arUserF['#'.$id.'#'] = $value;
					}
					$message = str_replace(array_keys($arUserF),$arUserF,$message);
					$message2 = str_replace(array_keys($arUserF),$arUserF,$message2);
				}


				$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
				$phone = str_replace(array_keys($arReplaces),$arReplaces,$phone);

				$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
				$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
				$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
				$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);

				$sms = new SMSC_Send;
				if (COption::GetOptionString('smsaero.sms', 'new_order_ss_active')=='Y')
				$sms->Send_SMS($phone,$message,0,false,0,$sender);

				if (COption::GetOptionString('smsaero.sms', 'on_pay_order_new_order_2')=='Y')
				$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);

			}


		}

	}


	function OnSaleDeliveryOrderHandler($id,$val)
	{
		//доставка разрешена
		$code = COption::GetOptionString('smsaero.sms', 'property_phone_delivery_yes');

		$user['PERSONAL_PHONE'] = CSMSC::getOwnerPhone($id);

		$dbOrderProps = CSaleOrderPropsValue::GetList(
			array("SORT" => "ASC"),
			array(
				"ORDER_ID" => $id['ORDER_ID'],
				"CODE" => array("PHONE")
			)
		);
		if ($arOrderProps = $dbOrderProps->Fetch())
		{
			if (isset($user['PERSONAL_PHONE']) or $user['PERSONAL_PHONE'] == ""  or $user['PERSONAL_PHONE'] == False){
				$user['PERSONAL_PHONE'] = $arOrderProps['VALUE'];
			}
		}

		$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_delivery');

		$sender = COption::GetOptionString('smsaero.sms', 'sign_main_delivery_yes');

		$sender1 = COption::GetOptionString('smsaero.sms', 'sign_main_add_sign_delivery');
		if((strlen(trim($code))>0 or strlen(trim($add_phone))>0)&& $val == 'Y') {
			$db_props = CSaleOrderProps::GetList();
			$arReplaces = array();
			while($arProps = $db_props->Fetch()) {if(!in_array($arProps['CODE'],$arReplaces) && strlen($arProps['CODE'])>0) $arReplaces['#PROP_'.$arProps['CODE'].'#'] = $arProps['CODE'];}
			$arFilter = array("ORDER_ID" 	=> $id);
			$db_order = CSaleOrderPropsValue::GetList(array(),$arFilter);
			$phone = $code;
			while($arOrder = $db_order->Fetch()) {

				if(in_array($arOrder['CODE'],$arReplaces)) $arReplaces['#PROP_'.$arOrder['CODE'].'#'] = $arOrder['VALUE'];
			}

			$arFields = CSaleOrder::GetByID($id);
			
			$obStatus = CSaleStatus::GetList(array(),array('ID'=>$arFields['STATUS_ID'],'LID'=>LANGUAGE_ID));
			$status = '';
			if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];
			$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);
			
			$items = '';

			$dbBasketItems = CSaleBasket::GetList(
	        	array("NAME" => "ASC"),
	          	array("ORDER_ID" => $id),
	          	false,
	          	false,
	          	array("NAME", "QUANTITY", "PRICE")
           	);

           	while ($arBasketItems = $dbBasketItems->Fetch())
           		$items .= $arBasketItems['NAME'].' '.GetMessage('SMSC_NEW_ORDER_KOL').': '.(int)$arBasketItems['QUANTITY'].' '.GetMessage('SMSC_NEW_ORDER_PRICE').': '.round($arBasketItems['PRICE'], 2).' ';


			$arReplacesTemlate = array(
				'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
				'#ORDER_NUMBER#' 	=> $arFields['ID'],
				'#ORDER_SUMM#'		=> round($arFields['PRICE']-$arFields['PRICE_DELIVERY'], 2),
				'#PRICE_DELIVERY#'	=> round($arFields['PRICE_DELIVERY'], 2),
				'#PRICE#'		=> round($arFields['PRICE'], 2),
				'#DELIVERY_DOC_NUM#'	=> $arFields['DELIVERY_DOC_NUM'],
				'#DELIVERY_DOC_DATE#'	=> $arFields['DELIVERY_DOC_DATE'],
				'#STATUS_NAME#'		=> $status,
				'#USER_EMAIL#'	=> $arFields['USER_EMAIL'],
				'#DATE_INSERT#'	=> $arFields['DATE_INSERT'],
				'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
				'#DELIVERY_NAME#'	=> ($delivery)?$delivery['NAME']:'',
				'#ITEMS#' => trim($items)
			);

			$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_delivery');
			$message2 = COption::GetOptionString('smsaero.sms', 'order_delivery_2');
			$message = COption::GetOptionString('smsaero.sms', 'order_delivery');
			
			$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
			
			if(strlen($userField)>0 && $userField !='OFF') {
				$rsUser = CUser::GetByID($arFields['USER_ID']);
				$arUser = $rsUser->Fetch();
				$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
				$arUserF = array();
				foreach($arUser as $id => $value) {
					$arUserF['#'.$id.'#'] = $value;
				}
				
				$message = str_replace(array_keys($arUserF),$arUserF,$message);
				$message2 = str_replace(array_keys($arUserF),$arUserF,$message2);
			}
			$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
			$phone = str_replace(array_keys($arReplaces),$arReplaces,$phone);

			$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
			$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
			$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
			$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);

			$sms = new SMSC_Send;
			if (COption::GetOptionString('smsaero.sms', 'on_pay_order_delivery_input_active')=='Y')
			$sms->Send_SMS($phone,$message,0,false,0,$sender);

			if (COption::GetOptionString('smsaero.sms', 'on_pay_order_input_DOSTAVKA_RAZRESENA')=='Y')
			$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);
		}
	}

	function OnSaleCancelOrderHandler($id,$val)
	{
		$user['PERSONAL_PHONE'] = CSMSC::getOwnerPhone($id);

		$dbOrderProps = CSaleOrderPropsValue::GetList(
			array("SORT" => "ASC"),
			array(
				"ORDER_ID" => $id['ORDER_ID'],
				"CODE" => array("PHONE")
			)
		);
		if ($arOrderProps = $dbOrderProps->Fetch())
		{
			if (isset($user['PERSONAL_PHONE']) or $user['PERSONAL_PHONE'] == ""  or $user['PERSONAL_PHONE'] == False){
				$user['PERSONAL_PHONE'] = $arOrderProps['VALUE'];
			}
		}

		//отмена заказа
		$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_cancel');
		$code = COption::GetOptionString('smsaero.sms', 'property_phone_cancel_order');
		$sender = COption::GetOptionString('smsaero.sms', 'sign_main_cancel_order');
		$sender1 = COption::GetOptionString('smsaero.sms', 'sign_main_add_phone_cancel');
		if((strlen(trim($code))>0 or strlen(trim($add_phone))>0) && $val == 'Y') {
			$db_props = CSaleOrderProps::GetList();
			$arReplaces = array();
			while($arProps = $db_props->Fetch()) {if(!in_array($arProps['CODE'],$arReplaces) && strlen($arProps['CODE'])>0) $arReplaces['#PROP_'.$arProps['CODE'].'#'] = $arProps['CODE'];}
			$arFilter = array("ORDER_ID" 	=> $id);
			$db_order = CSaleOrderPropsValue::GetList(array(),$arFilter);
			$phone = $code;
			while($arOrder = $db_order->Fetch()) {

				if(in_array($arOrder['CODE'],$arReplaces)) $arReplaces['#PROP_'.$arOrder['CODE'].'#'] = $arOrder['VALUE'];
			}

			$arFields = CSaleOrder::GetByID($id);

			$obStatus = CSaleStatus::GetList(array(),array('ID'=>$arFields['STATUS_ID'],'LID'=>LANGUAGE_ID));
			$status = '';
			if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];
			$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);
			
			$items = '';

			$dbBasketItems = CSaleBasket::GetList(
	        	array("NAME" => "ASC"),
	          	array("ORDER_ID" => $id),
	          	false,
	          	false,
	          	array("NAME", "QUANTITY", "PRICE")
           	);

           	while ($arBasketItems = $dbBasketItems->Fetch())
           		$items .= $arBasketItems['NAME'].' '.GetMessage('SMSC_NEW_ORDER_KOL').': '.(int)$arBasketItems['QUANTITY'].' '.GetMessage('SMSC_NEW_ORDER_PRICE').': '.round($arBasketItems['PRICE'], 2).' ';


			$arReplacesTemlate = array(
				'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
				'#ORDER_NUMBER#' 	=> $arFields['ID'],
				'#ORDER_SUMM#'		=> round($arFields['PRICE']-$arFields['PRICE_DELIVERY'], 2),
				'#PRICE_DELIVERY#'	=> round($arFields['PRICE_DELIVERY'], 2),
				'#PRICE#'		=> round($arFields['PRICE'], 2),
				'#DELIVERY_DOC_NUM#'	=> $arFields['DELIVERY_DOC_NUM'],
				'#DELIVERY_DOC_DATE#'	=> $arFields['DELIVERY_DOC_DATE'],
				'#USER_EMAIL#'	=> $arFields['USER_EMAIL'],
				'#DATE_INSERT#'	=> $arFields['DATE_INSERT'],
				'#STATUS_NAME#'		=> $status,
				'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
				'#DELIVERY_NAME#'	=> ($delivery)?$delivery['NAME']:'',
				'#ITEMS#' => trim($items)
			);
			
			$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_cancel');
			$message = COption::GetOptionString('smsaero.sms', 'order_cancel');
			$message2 = COption::GetOptionString('smsaero.sms', 'order_cancel_2');
			
			$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
			if(strlen($userField)>0 && $userField !='OFF') {
				$rsUser = CUser::GetByID($arFields['USER_ID']);
				$arUser = $rsUser->Fetch();
				$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
				$arUserF = array();
				foreach($arUser as $id => $value) {
					$arUserF['#'.$id.'#'] = $value;
				}
				$message = str_replace(array_keys($arUserF),$arUserF,$message);
				$message2 = str_replace(array_keys($arUserF),$arUserF,$message2);
			}
			//поиск совпадений в массивах
			$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
			$phone = str_replace(array_keys($arReplaces),$arReplaces,$phone);

			$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
			$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
			$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
			$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);
			
			$sms = new SMSC_Send;
			if (COption::GetOptionString('smsaero.sms', 'on_pay_order_cancel_input_active')=='Y')
			$sms->Send_SMS($phone,$message,0,false,0,$sender);

			if (COption::GetOptionString('smsaero.sms', 'on_pay_order_cancel_input_active_2')=='Y')
			$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);
		}
	}

	function OnSaleStatusOrderHandler($id,$val)
	{
		$user['PERSONAL_PHONE'] = CSMSC::getOwnerPhone($id);

		$dbOrderProps = CSaleOrderPropsValue::GetList(
			array("SORT" => "ASC"),
			array(
				"ORDER_ID" => $id['ORDER_ID'],
				"CODE" => array("PHONE")
			)
		);
		if ($arOrderProps = $dbOrderProps->Fetch())
		{
			if (isset($user['PERSONAL_PHONE']) or $user['PERSONAL_PHONE'] == ""  or $user['PERSONAL_PHONE'] == False){
				$user['PERSONAL_PHONE'] = $arOrderProps['VALUE'];
			}
		}

		$obStatus = CSaleStatus::GetList(array(),array('ID'=>$val,'LID'=>LANGUAGE_ID));
		$status = '';
		if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];

			if($arStat['NAME'] == 'Отправлен клиенту'){

				$sender = COption::GetOptionString('smsaero.sms', 'sign_order_change_confim_otpravlen');
				$sender1 = COption::GetOptionString('smsaero.sms', 'sign_order_change_confim_otpravlen_admin');

				$add_phone = COption::GetOptionString('smsaero.sms', 'phone_order_status_change_confim_otpravlen_admin');
				$code = COption::GetOptionString('smsaero.sms', 'phone_order_status_change_confim_otpravlen');

				if((strlen(trim($code))>0) or (strlen(trim($add_phone))>0)) {
					$db_props = CSaleOrderProps::GetList();
					$arReplaces = array();
					while($arProps = $db_props->Fetch()) {if(!in_array($arProps['CODE'],$arReplaces) && strlen($arProps['CODE'])>0) $arReplaces['#PROP_'.$arProps['CODE'].'#'] = $arProps['CODE'];}
					$arFilter = array("ORDER_ID" 	=> $id);
					$db_order = CSaleOrderPropsValue::GetList(array(),$arFilter);
					$phone = $code;
					while($arOrder = $db_order->Fetch()) {

						if(in_array($arOrder['CODE'],$arReplaces)) $arReplaces['#PROP_'.$arOrder['CODE'].'#'] = $arOrder['VALUE'];
					}

					$arFields = CSaleOrder::GetByID($id);

					$obStatus = CSaleStatus::GetList(array(),array('ID'=>$arFields['STATUS_ID'],'LID'=>LANGUAGE_ID));
					$status = '';
					if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];
					$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);

					$items = '';

					$dbBasketItems = CSaleBasket::GetList(
							array("NAME" => "ASC"),
							array("ORDER_ID" => $id),
							false,
							false,
							array("NAME", "QUANTITY", "PRICE")
					);

					while ($arBasketItems = $dbBasketItems->Fetch())
						$items .= $arBasketItems['NAME'].' '.GetMessage('SMSC_NEW_ORDER_KOL').': '.(int)$arBasketItems['QUANTITY'].' '.GetMessage('SMSC_NEW_ORDER_PRICE').': '.round($arBasketItems['PRICE'], 2).' ';

					$arReplacesTemlate = array(
							'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
							'#ORDER_NUMBER#' 	=> $arFields['ID'],
							'#ORDER_SUMM#'		=> round($arFields['PRICE']-$arFields['PRICE_DELIVERY'], 2),
							'#PRICE_DELIVERY#'	=> round($arFields['PRICE_DELIVERY'], 2),
							'#PRICE#'		=> round($arFields['PRICE'], 2),
							'#DELIVERY_DOC_NUM#'	=> $arFields['DELIVERY_DOC_NUM'],
							'#DELIVERY_DOC_DATE#'	=> $arFields['DELIVERY_DOC_DATE'],
							'#STATUS_NAME#'		=> $status,
							'#USER_EMAIL#'	=> $arFields['USER_EMAIL'],
							'#DATE_INSERT#'	=> $arFields['DATE_INSERT'],
							'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
							'#DELIVERY_NAME#'	=> ($delivery)?$delivery['NAME']:'',
							'#ITEMS#' => trim($items)
					);
					$message = COption::GetOptionString('smsaero.sms', 'order_status_change_confim_otpravlen');
					$message2 = COption::GetOptionString('smsaero.sms', 'textarea_status_change_confim_otpravlen_admin');

					$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
					if(strlen($userField)>0 && $userField !='OFF') {
						$rsUser = CUser::GetByID($arFields['USER_ID']);
						$arUser = $rsUser->Fetch();
						$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
						$arUserF = array();
						foreach($arUser as $id => $value) {
							$arUserF['#'.$id.'#'] = $value;
						}
						$message = str_replace(array_keys($arUserF),$arUserF,$message);
						$message2 = str_replace(array_keys($arUserF),$arUserF,$message2);
					}
					$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
					$phone = str_replace(array_keys($arReplaces),$arReplaces,$phone);

					$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
					$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
					$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
					$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);

					$sms = new SMSC_Send;

					if (COption::GetOptionString('smsaero.sms', 'input_status_change_confim_otpravlen')=='Y')
					$sms->Send_SMS($phone,$message,0,false,0,$sender);

					if (COption::GetOptionString('smsaero.sms', 'input_status_change_confim_otpravlen_admin')=='Y')
					$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);
				}
			}
			if($arStat['NAME'] == 'Оплачен'){

				$code = COption::GetOptionString('smsaero.sms', 'property_phone_pay_order');
				$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_pay');


				$sender = COption::GetOptionString('smsaero.sms', 'sign_main_pay_order');
				$sender1 = COption::GetOptionString('smsaero.sms', 'sign_main_add_phone_pay');
				if((strlen(trim($code))>0 or strlen(trim($add_phone))>0)) {
					$db_props = CSaleOrderProps::GetList();
					$arReplaces = array();
					while($arProps = $db_props->Fetch()) {if(!in_array($arProps['CODE'],$arReplaces) && strlen($arProps['CODE'])>0) $arReplaces['#PROP_'.$arProps['CODE'].'#'] = $arProps['CODE'];}
					$arFilter = array("ORDER_ID" 	=> $id);
					$db_order = CSaleOrderPropsValue::GetList(array(),$arFilter);
					$phone = $code;
					while($arOrder = $db_order->Fetch()) {

						if(in_array($arOrder['CODE'],$arReplaces)) $arReplaces['#PROP_'.$arOrder['CODE'].'#'] = $arOrder['VALUE'];
					}

					$arFields = CSaleOrder::GetByID($id);


					$obStatus = CSaleStatus::GetList(array(),array('ID'=>$arFields['STATUS_ID'],'LID'=>LANGUAGE_ID));
					$status = '';
					if($arStat = $obStatus->Fetch()) $status = $arStat['NAME'];
					$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);

					$items = '';

					$dbBasketItems = CSaleBasket::GetList(
							array("NAME" => "ASC"),
							array("ORDER_ID" => $id),
							false,
							false,
							array("NAME", "QUANTITY", "PRICE")
					);

					while ($arBasketItems = $dbBasketItems->Fetch())
						$items .= $arBasketItems['NAME'].' '.GetMessage('SMSC_NEW_ORDER_KOL').': '.(int)$arBasketItems['QUANTITY'].' '.GetMessage('SMSC_NEW_ORDER_PRICE').': '.round($arBasketItems['PRICE'], 2).' ';


					$arReplacesTemlate = array(
							'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
							'#ORDER_NUMBER#' 	=> $arFields['ID'],
							'#ORDER_SUMM#'		=> round($arFields['PRICE']-$arFields['PRICE_DELIVERY'], 2),
							'#PRICE_DELIVERY#'	=> round($arFields['PRICE_DELIVERY'], 2),
							'#PRICE#'		=> round($arFields['PRICE'], 2),
							'#DELIVERY_DOC_NUM#'	=> $arFields['DELIVERY_DOC_NUM'],
							'#DELIVERY_DOC_DATE#'	=> $arFields['DELIVERY_DOC_DATE'],
							'#STATUS_NAME#'		=> $status,
							'#USER_EMAIL#'	=> $arFields['USER_EMAIL'],
							'#DATE_INSERT#'	=> $arFields['DATE_INSERT'],
							'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
							'#DELIVERY_NAME#'	=> ($delivery)?$delivery['NAME']:'',
							'#ITEMS#' => trim($items)
					);

					$add_phone = COption::GetOptionString('smsaero.sms', 'add_phone_pay');
					$message = COption::GetOptionString('smsaero.sms', 'on_pay_order_new');
					$message2 = COption::GetOptionString('smsaero.sms', 'on_pay_order_new_to');

					$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
					if(strlen($userField)>0 && $userField !='OFF') {
						$rsUser = CUser::GetByID($arFields['USER_ID']);
						$arUser = $rsUser->Fetch();
						$arUser['PASSWORD'] = (strlen(trim($arUser[$userField]))>0)?$arUser[$userField]:'';
						$arUserF = array();
						foreach($arUser as $id => $value) {
							$arUserF['#'.$id.'#'] = $value;
						}
						$message = str_replace(array_keys($arUserF),$arUserF,$message);
						$message2 = str_replace(array_keys($arUserF),$arUserF,$message2);
					}
					$phone = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$phone);
					$phone = str_replace(array_keys($arReplaces),$arReplaces,$phone);

					$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
					$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
					$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
					$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);

					$sms = new SMSC_Send;
					if (COption::GetOptionString('smsaero.sms', 'on_pay_order_new_input_active')=='Y')
					$sms->Send_SMS($phone,$message,0,false,0,$sender);

					if (COption::GetOptionString('smsaero.sms', 'on_pay_order_new_input_active_2')=='Y')
					$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);

				}
			}
			if($arStat['NAME'] == 'Подтверждён') {
				$code = COption::GetOptionString('smsaero.sms', 'phone_order_status_change_confim_potvergden');
				$sender = COption::GetOptionString('smsaero.sms', 'sign_order_change_confim_potvergden');
				$sender1 = COption::GetOptionString('smsaero.sms', 'sign_order_change_confim_potvergden_add');
				$add_phone = COption::GetOptionString('smsaero.sms', 'phone_order_status_change_confim_potvergden_add');

				if(strlen(trim($code))>0 or strlen(trim($add_phone))>0) {
					$db_props = CSaleOrderProps::GetList();
					$arReplaces = array();
					while ($arProps = $db_props->Fetch()) {
						if (!in_array($arProps['CODE'], $arReplaces) && strlen($arProps['CODE']) > 0) $arReplaces['#PROP_' . $arProps['CODE'] . '#'] = $arProps['CODE'];
					}
					$arFilter = array("ORDER_ID" => $id);
					$db_order = CSaleOrderPropsValue::GetList(array(), $arFilter);
					$phone = $code;
					while ($arOrder = $db_order->Fetch()) {

						if (in_array($arOrder['CODE'], $arReplaces)) $arReplaces['#PROP_' . $arOrder['CODE'] . '#'] = $arOrder['VALUE'];
					}

					$arFields = CSaleOrder::GetByID($id);
					$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);

					$items = '';

					$dbBasketItems = CSaleBasket::GetList(
							array("NAME" => "ASC"),
							array("ORDER_ID" => $id),
							false,
							false,
							array("NAME", "QUANTITY", "PRICE")
					);

					while ($arBasketItems = $dbBasketItems->Fetch())
						$items .= $arBasketItems['NAME'] . ' ' . GetMessage('SMSC_NEW_ORDER_KOL') . ': ' . (int)$arBasketItems['QUANTITY'] . ' ' . GetMessage('SMSC_NEW_ORDER_PRICE') . ': ' . round($arBasketItems['PRICE'], 2) . ' ';


					$arReplacesTemlate = array(
							'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
							'#ORDER_NUMBER#' => $arFields['ID'],
							'#ORDER_SUMM#' => round($arFields['PRICE'] - $arFields['PRICE_DELIVERY'], 2),
							'#PRICE_DELIVERY#' => round($arFields['PRICE_DELIVERY'], 2),
							'#PRICE#' => round($arFields['PRICE'], 2),
							'#DELIVERY_DOC_NUM#' => $arFields['DELIVERY_DOC_NUM'],
							'#DELIVERY_DOC_DATE#' => $arFields['DELIVERY_DOC_DATE'],
							'#USER_EMAIL#' => $arFields['USER_EMAIL'],
							'#DATE_INSERT#' => $arFields['DATE_INSERT'],
							'#STATUS_NAME#' => $status,
							'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
							'#DELIVERY_NAME#' => ($delivery) ? $delivery['NAME'] : '',
							'#ITEMS#' => trim($items)
					);

					$message = COption::GetOptionString('smsaero.sms', 'order_status_change_confim_potvergden');
					$message2 = COption::GetOptionString('smsaero.sms', 'order_status_change_confim_potvergden_add');
					$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
					if (strlen($userField) > 0 && $userField != 'OFF') {
						$rsUser = CUser::GetByID($arFields['USER_ID']);
						$arUser = $rsUser->Fetch();
						$arUser['PASSWORD'] = (strlen(trim($arUser[$userField])) > 0) ? $arUser[$userField] : '';
						$arUserF = array();
						foreach ($arUser as $id => $value) {
							$arUserF['#' . $id . '#'] = $value;
						}

						$message = str_replace(array_keys($arUserF), $arUserF, $message);
					}
					$phone = str_replace(array_keys($arReplacesTemlate), $arReplacesTemlate, $phone);
					$phone = str_replace(array_keys($arReplaces), $arReplaces, $phone);

					$message = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message);
					$message2 = str_replace(array_keys($arReplacesTemlate),$arReplacesTemlate,$message2);
					$message = str_replace(array_keys($arReplaces),$arReplaces,$message);
					$message2 = str_replace(array_keys($arReplaces),$arReplaces,$message2);

					$sms = new SMSC_Send;

					if (COption::GetOptionString('smsaero.sms', 'on_pay_order_input_status_change_confim_potvergden')=='Y')
					$sms->Send_SMS($phone, $message, 0, false, 0, $sender);

					if (COption::GetOptionString('smsaero.sms', 'input_status_change_confim_potvergden_add')=='Y')
						$sms->Send_SMS($add_phone,$message2,0,false,0,$sender1);
				}
			}
			if($arStat['NAME'] == 'Выполнен') {
				$code = COption::GetOptionString('smsaero.sms', 'phone_order_status_change_confim');
				$sender = COption::GetOptionString('smsaero.sms', 'sign_order_status_change_confim');
				$add_phone = COption::GetOptionString('smsaero.sms', 'phone_order_status_change_confim_add');
				$sender1 = COption::GetOptionString('smsaero.sms', 'sign_order_status_change_confim_add');
				if(strlen(trim($code))>0 or strlen(trim($add_phone))>0) {

				$db_props = CSaleOrderProps::GetList();
				$arReplaces = array();
				while ($arProps = $db_props->Fetch()) {
					if (!in_array($arProps['CODE'], $arReplaces) && strlen($arProps['CODE']) > 0) $arReplaces['#PROP_' . $arProps['CODE'] . '#'] = $arProps['CODE'];
				}
				$arFilter = array("ORDER_ID" => $id);
				$db_order = CSaleOrderPropsValue::GetList(array(), $arFilter);
				$phone = $code;
				while ($arOrder = $db_order->Fetch()) {

					if (in_array($arOrder['CODE'], $arReplaces)) $arReplaces['#PROP_' . $arOrder['CODE'] . '#'] = $arOrder['VALUE'];
				}

				$arFields = CSaleOrder::GetByID($id);
				$delivery = CSaleDelivery::GetByID($arFields['DELIVERY_ID']);

				$items = '';

				$dbBasketItems = CSaleBasket::GetList(
						array("NAME" => "ASC"),
						array("ORDER_ID" => $id),
						false,
						false,
						array("NAME", "QUANTITY", "PRICE")
				);

				while ($arBasketItems = $dbBasketItems->Fetch())
					$items .= $arBasketItems['NAME'] . ' ' . GetMessage('SMSC_NEW_ORDER_KOL') . ': ' . (int)$arBasketItems['QUANTITY'] . ' ' . GetMessage('SMSC_NEW_ORDER_PRICE') . ': ' . round($arBasketItems['PRICE'], 2) . ' ';


				$arReplacesTemlate = array(
						'#PROP_PHONE#' => $user['PERSONAL_PHONE'],
						'#ORDER_NUMBER#' => $arFields['ID'],
						'#ORDER_SUMM#' => round($arFields['PRICE'] - $arFields['PRICE_DELIVERY'], 2),
						'#PRICE_DELIVERY#' => round($arFields['PRICE_DELIVERY'], 2),
						'#PRICE#' => round($arFields['PRICE'], 2),
						'#DELIVERY_DOC_NUM#' => $arFields['DELIVERY_DOC_NUM'],
						'#DELIVERY_DOC_DATE#' => $arFields['DELIVERY_DOC_DATE'],
						'#USER_EMAIL#' => $arFields['USER_EMAIL'],
						'#DATE_INSERT#' => $arFields['DATE_INSERT'],
						'#STATUS_NAME#' => $status,
						'#SITE#' => COption::GetOptionString('smsaero.sms', 'site_name'),
						'#DELIVERY_NAME#' => ($delivery) ? $delivery['NAME'] : '',
						'#ITEMS#' => trim($items)
				);


				$message = COption::GetOptionString('smsaero.sms', 'order_status_change_confim');
				$message2 = COption::GetOptionString('smsaero.sms', 'textarea_order_status_change_confim_add');

				$userField = COption::GetOptionString('smsaero.sms', 'user_password_field');
				if (strlen($userField) > 0 && $userField != 'OFF') {
					$rsUser = CUser::GetByID($arFields['USER_ID']);
					$arUser = $rsUser->Fetch();
					$arUser['PASSWORD'] = (strlen(trim($arUser[$userField])) > 0) ? $arUser[$userField] : '';
					$arUserF = array();
					foreach ($arUser as $id => $value) {
						$arUserF['#' . $id . '#'] = $value;
					}

					$message = str_replace(array_keys($arUserF), $arUserF, $message);
					$message2 = str_replace(array_keys($arUserF), $arUserF, $message2);
				}
				$phone = str_replace(array_keys($arReplacesTemlate), $arReplacesTemlate, $phone);
				$phone = str_replace(array_keys($arReplaces), $arReplaces, $phone);

				$message = str_replace(array_keys($arReplacesTemlate), $arReplacesTemlate, $message);
				$message2 = str_replace(array_keys($arReplacesTemlate), $arReplacesTemlate, $message2);
				$message = str_replace(array_keys($arReplaces), $arReplaces, $message);
				$message2 = str_replace(array_keys($arReplaces), $arReplaces, $message2);

				$sms = new SMSC_Send;

				if (COption::GetOptionString('smsaero.sms', 'on_pay_order_input_status_change_confim')=='Y')
				$sms->Send_SMS($phone, $message, 0, false, 0, $sender);

				if (COption::GetOptionString('smsaero.sms', 'input_status_change_confim_add')=='Y')
				$sms->Send_SMS($add_phone, $message2, 0, false, 0, $sender1);
			}
		}
	}
	function OnBuildGlobalMenu() {
		
	}
}